import React, { forwardRef, memo } from 'react';
import { Input } from 'antd';
import split from 'lodash/split';
import { propsAreEqual } from '../utils';
function FunctionComponent(props, ref) {
    const { value, onChange, ...rest } = props;
    const resultValue = value && split(value, '.')[1];
    return (React.createElement(Input, Object.assign({ ref: ref, onChange: (e) => {
            const { value } = e.target;
            const result = value && `this.${value}`;
            onChange && onChange(result);
        }, value: resultValue, allowClear: true }, rest)));
}
export default memo(forwardRef(FunctionComponent), propsAreEqual);
